# SpookedClassPattern Class Reference
[Patterns used to build classes]

Inheritance diagram for SpookedClassPattern:
[legend]

List of all members.

## Public Member Functions

| build (MetaClass $class)
| builds everything for given class
| daoExists ()
| indicates DAO availability for classes which uses this pattern
| tableExists ()
| guess what

## Detailed Description

Definition at line 15 of file SpookedClassPattern.class.php.

## Member Function Documentation

SpookedClassPattern::build | ( | MetaClass $ | class | ) |

builds everything for given class

Implements GenerationPattern.

Definition at line 17 of file SpookedClassPattern.class.php.

SpookedClassPattern::daoExists | ( |  | ) |

indicates DAO availability for classes which uses this pattern

Implements GenerationPattern.

Definition at line 22 of file SpookedClassPattern.class.php.

SpookedClassPattern::tableExists | ( |  | ) |

guess what

Implements GenerationPattern.

Definition at line 27 of file SpookedClassPattern.class.php.

The documentation for this class was generated from the following file:

- meta/patterns/SpookedClassPattern.class.php